%nacteni klasifikovaneho vzoru
obr=imread('poskozeny_smajlik.bmp');
obr=rgb2gray(obr);
obr=im2double(obr);
matice=ones(size(obr)).*-1;
matice(obr>0.9)=1;
test1=reshape(matice,[1,64]);
test1={test1'};

obr=imread('hodne_poskozena_spirala.bmp');
obr=rgb2gray(obr);
obr=im2double(obr);
matice=ones(size(obr)).*-1;
matice(obr>0.9)=1;
test2=reshape(matice,[1,64]);
test2={test2'};

obr=imread('invertovany_clovek.bmp');
obr=rgb2gray(obr);
obr=im2double(obr);
matice=ones(size(obr)).*-1;
matice(obr>0.9)=1;
test3=reshape(matice,[1,64]);
test3={test3'};

obr=imread('poskozeny_clovek.bmp');
obr=rgb2gray(obr);
obr=im2double(obr);
matice=ones(size(obr)).*-1;
matice(obr>0.9)=1;
test4=reshape(matice,[1,64]);
test4={test4'};

obr=imread('invertovany_poskozeny_clovek.bmp');
obr=rgb2gray(obr);
obr=im2double(obr);
matice=ones(size(obr)).*-1;
matice(obr>0.9)=1;
test5=reshape(matice,[1,64]);
test5={test5'};

obr=imread('inverzni_smajlik.bmp');
obr=rgb2gray(obr);
obr=im2double(obr);
matice=ones(size(obr)).*-1;
matice(obr>0.9)=1;
test6=reshape(matice,[1,64]);
test6={test6'};
